<?php
/**
 * @version $Id: modinfo.php 660 2010-09-12 04:21:20Z hodaka $
 * @package myuploader
 */

$constpref = '_MI_'.strtoupper($mydirname);
if(!defined($constpref.'_LOADED')) {
    define($constpref.'_LOADED', 1);

define($constpref.'_LANG_AUTHOR', '作者');
define($constpref.'_LANG_CREDITS', '著作権表示');
define($constpref.'_TPL_CATEGORY_LIST', 'カテゴリ一覧表');
define($constpref.'_TPL_CATEGORY_EDIT', 'カテゴリ編集');
define($constpref.'_TPL_CATEGORY_DELETE', 'カテゴリ削除');
define($constpref.'_TPL_CATEGORY_VIEW', 'カテゴリ詳細');
define($constpref.'_TPL_IMAGE_LIST', 'イメージ一覧表');
define($constpref.'_TPL_IMAGE_EDIT', 'イメージ編集');
define($constpref.'_TPL_IMAGE_DELETE', 'イメージ削除');
define($constpref.'_TPL_IMAGE_VIEW', 'イメージ詳細');
define($constpref.'_TPL_IMAGE_BOARD', 'イメージ一覧');
define($constpref.'_BASIC_MODULE_NAME', 'フォトアルバム');
define($constpref.'_BASIC_MODULE_NAME_DSC', 'imagemanager代替可能なシンプルフォトアルバム');
define($constpref.'_SUBMENU_POST', 'イメージ投稿');
define($constpref.'_SUBMENU_MY_IMAGE', 'マイ・イメージ');
define($constpref.'_BLOCK_CATEGORY_LIST', 'カテゴリ一覧');
define($constpref.'_BLOCK_CATEGORY_LIST_DSC', '');
define($constpref.'_BLOCK_LATEST_IMAGES', '最新フォト');
define($constpref.'_BLOCK_LATEST_IMAGES_DSC', '');
define($constpref.'_CONF_IMGMANAGER', 'イメージマネジャー専用');
define($constpref.'_CONF_IMGMANAGER_DSC', 'このモジュールをdirname変更してサイトのアップローダーとして使うときは、preload/Myuploader_Imagemanager.class.phpのredirect先に当モジュールのdirnameを指定してください。');
define($constpref.'_CONF_NUMPERPAGE', 'ページ当たり表示数');
define($constpref.'_CONF_NUMPERPAGE_DSC', '');
define($constpref.'_CONF_UPLOADDIR', '画像用ディレクトリ');
define($constpref.'_CONF_UPLOADDIR_DSC', 'ドキュメントルートからのパスを指定');
define($constpref.'_LANG_LATEST_IMAGES', '最新画像');
define($constpref.'_CONF_IMAGELIB', '画像処理するライブラリ');
define($constpref.'_CONF_IMAGELIB_DSC', 'GDはv2.x以上が必要です。特に指定しない場合はGDを使用します。');
define($constpref.'_CONF_LISTSTYLE', '画像の表示形式');
define($constpref.'_CONF_LISTSTYLE_LIST', '一覧表形式');
define($constpref.'_CONF_LISTSTYLE_ALBUM', 'アルバム形式');
define($constpref.'_CONF_LISTSTYLE_DSC', '');
define($constpref.'_CONF_HIGHSLIDE', '画像表示にhighslideを適用する');
define($constpref.'_CONF_HIGHSLIDE_DSC', 'Myuploader_TextFilter preloadを使用する場合、全サイトに適用されます');
define($constpref.'_CONF_FIGURETAG', 'imgの代わりにfigタグを使う');
define($constpref.'_CONF_FIGURETAG_DSC', 'imagemanagerに当モジュールを指定した場合、使用モジュールではデフォルトでfigタグを出力します');
define($constpref.'_CONF_NUMPERLINE', '1行当たりの画像数');
define($constpref.'_CONF_NUMPERLINE_DSC', 'アルバム形式のとき、１行に表示する画像数を指定します');

define('_MI_MYUPLOADER_LANG_CATEGORY_LIST', 'カテゴリ一覧');
define('_MI_MYUPLOADER_KEYWORD_CATEGORY_LIST', 'CATEGORY_LIST');
define('_MI_MYUPLOADER_LANG_ADD_A_NEW_CATEGORY', 'カテゴリ追加');
define('_MI_MYUPLOADER_KEYWORD_CATEGORY_CREATE', 'CATEGORY_CREATE');
define('_MI_MYUPLOADER_LANG_IMAGE_LIST', '画像一覧');
define('_MI_MYUPLOADER_KEYWORD_IMAGE_LIST', 'IMAGE_LIST');
define('_MI_MYUPLOADER_LANG_ADD_A_NEW_IMAGE', '画像追加');
define('_MI_MYUPLOADER_KEYWORD_IMAGE_CREATE', 'IMAGE_CREATE');
define('_MI_MYUPLOADER_LANG_BLOCKS_ADMIN', 'ブロック管理/モジュールアクセス管理');
define('_MI_MYUPLOADER_KEYWORD_BLOCKS_ADMIN', 'BLOCKS_ADMIN');
define('_MI_MYUPLOADER_LANG_TEMPLATES_ADMIN', ' テンプレート管理');
define('_MI_MYUPLOADER_KEYWORD_TEMPLATES_ADMIN', 'TEMPLATES_ADMIN');
define('_MI_MYUPLOADER_LANG_LANGUAGES_ADMIN', '言語定数管理');
define('_MI_MYUPLOADER_KEYWORD_LANGUAGES_ADMIN', 'LANGUAGES_ADMIN');
define('_MI_MYUPLOADER_INSTALL_ERROR_MODULE_INSTALLED', 'モジュール{0}のインストールができませんでした。');
define('_MI_MYUPLOADER_INSTALL_ERROR_PERM_ADMIN_SET', 'モジュール{0}の管理権限を付加できませんでした。');
define('_MI_MYUPLOADER_INSTALL_ERROR_PERM_READ_SET', 'モジュール{0}のアクセス権限を付加できませんでした。');
define('_MI_MYUPLOADER_INSTALL_MSG_MODULE_INSTALLED', 'モジュール『{0}』をインストールしました。');
define('_MI_MYUPLOADER_INSTALL_ERROR_SQL_FILE_NOT_FOUND', 'SQLファイル『{0}』が見つかりませんでした。');
define('_MI_MYUPLOADER_INSTALL_MSG_DB_SETUP_FINISHED', 'データベースのセットアップが完了しました。');
define('_MI_MYUPLOADER_INSTALL_MSG_SQL_SUCCESS', 'SQL success : {0}');
define('_MI_MYUPLOADER_INSTALL_MSG_SQL_ERROR', 'SQL error : {0}');
define('_MI_MYUPLOADER_INSTALL_MSG_TPL_INSTALLED', 'テンプレート『{0}』をインストールしました。');
define('_MI_MYUPLOADER_INSTALL_ERROR_TPL_INSTALLED', 'テンプレート『{0}』のインストールができませんでした。');
define('_MI_MYUPLOADER_INSTALL_MSG_TPL_COMPILED', 'テンプレート『{0}』をコンパイルしました。');
define('_MI_MYUPLOADER_INSTALL_ERROR_TPL_COMPILED', 'テンプレート『{0}』のコンパイルができませんでした。');
define('_MI_MYUPLOADER_INSTALL_MSG_TPL_UNINSTALLED', 'テンプレート『{0}』をアンインストールしました。');
define('_MI_MYUPLOADER_INSTALL_ERROR_TPL_UNINSTALLED', 'テンプレート『{0}』のアンインストールができませんでした。');
define('_MI_MYUPLOADER_INSTALL_MSG_BLOCK_INSTALLED', 'ブロック『{0}』をインストールしました。');
define('_MI_MYUPLOADER_INSTALL_ERROR_BLOCK_COULD_NOT_LINK', 'ブロック『{0}』をモジュールと関連付けできませんでした。');
define('_MI_MYUPLOADER_INSTALL_ERROR_PERM_COULD_NOT_SET', 'ブロック『{0}』に権限を付加できませんでした。');
define('_MI_MYUPLOADER_INSTALL_ERROR_BLOCK_PERM_SET', 'ブロック『{0}』に権限を付加できませんでした。');
define('_MI_MYUPLOADER_INSTALL_MSG_BLOCK_TPL_INSTALLED', 'ブロックテンプレート『{0}』をインストールしました。');
define('_MI_MYUPLOADER_INSTALL_ERROR_BLOCK_TPL_INSTALLED', 'ブロックテンプレート『{0}』がインストールできませんでした。');
define('_MI_MYUPLOADER_INSTALL_MSG_BLOCK_UNINSTALLED', 'ブロック『{0}』をアンインストールしました。');
define('_MI_MYUPLOADER_INSTALL_ERROR_BLOCK_UNINSTALLED', 'ブロック『{0}』がアンインストールできませんでした。');
define('_MI_MYUPLOADER_INSTALL_ERROR_BLOCK_PERM_DELETE', 'ブロック『{0}』の権限を削除できませんでした。');
define('_MI_MYUPLOADER_INSTALL_MSG_BLOCK_UPDATED', 'ブロック『{0}』を更新しました。');
define('_MI_MYUPLOADER_INSTALL_ERROR_BLOCK_UPDATE', 'ブロック『{0}』が更新できませんでした。');
define('_MI_MYUPLOADER_INSTALL_ERROR_BLOCK_INSTALLED', 'ブロック『{0}』がインストールできませんでした。');
define('_MI_MYUPLOADER_INSTALL_MSG_BLOCK_TPL_UNINSTALLED', 'ブロックテンプレート『{0}』をアンインストールしました。');
define('_MI_MYUPLOADER_INSTALL_MSG_CONFIG_ADDED', '一般設定『{0}』を追加しました。');
define('_MI_MYUPLOADER_INSTALL_ERROR_CONFIG_ADDED', '一般設定『{0}』が追加できませんでした。');
define('_MI_MYUPLOADER_INSTALL_MSG_CONFIG_DELETED', '一般設定『{0}』を削除しました。');
define('_MI_MYUPLOADER_INSTALL_ERROR_CONFIG_DELETED', '一般設定『{0}』が削除できませんでした。');
define('_MI_MYUPLOADER_INSTALL_MSG_CONFIG_UPDATED', '一般設定『{0}』を更新しました。');
define('_MI_MYUPLOADER_INSTALL_ERROR_CONFIG_UPDATED', '一般設定『{0}』が更新できませんでした。');
define('_MI_MYUPLOADER_INSTALL_ERROR_CONFIG_NOT_FOUND', '一般設定が見つかりません。');
define('_MI_MYUPLOADER_INSTALL_MSG_MODULE_INFORMATION_DELETED', 'モジュール情報を削除しました。');
define('_MI_MYUPLOADER_INSTALL_ERROR_MODULE_INFORMATION_DELETED', 'モジュール情報が削除できませんでした。');
define('_MI_MYUPLOADER_INSTALL_MSG_TABLE_DOROPPED', 'テーブル『{0}』を削除しました。');
define('_MI_MYUPLOADER_INSTALL_ERROR_TABLE_DOROPPED', 'テーブル『{0}』が削除できませんでした。');
define('_MI_MYUPLOADER_INSTALL_ERROR_BLOCK_TPL_DELETED', 'ブロックテンプレートが削除できませんでした。<br />{0}');
define('_MI_MYUPLOADER_INSTALL_MSG_MODULE_UNINSTALLED', 'モジュール『{0}』をアンインストールしました。');
define('_MI_MYUPLOADER_INSTALL_ERROR_MODULOE_UNINSTALLED', 'モジュール『{0}』がアンインストールできませんでした。');
define('_MI_MYUPLOADER_INSTALL_MSG_UPDATE_STARTED', 'モジュールの更新を開始します。');
define('_MI_MYUPLOADER_INSTALL_MSG_UPDATE_FINISHED', 'モジュールの更新が終了しました。');
define('_MI_MYUPLOADER_INSTALL_ERROR_UPDATE_FINISHED', 'モジュールの更新に失敗しました。');
define('_MI_MYUPLOADER_INSTALL_MSG_MODULE_UPDATED', 'モジュール『{0}』を更新しました。');
define('_MI_MYUPLOADER_INSTALL_ERROR_MODULE_UPDATED', 'モジュール『{0}』が更新できませんでした。');
define('_MI_MYUPLOADER_INSTALL_ERROR_TRUST_DIRNAME_UNDEFINED', '{0}が指定されてません。');
define('_MI_MYUPLOADER_INSTALL_MSG_SKIPPED_DELETING_IMAGES', 'アップロードディレクトリがないので画像削除をスキップしました。');
define('_MI_MYUPLOADER_INSTALL_ERROR_UPLOADDIR_DELETE', 'アップロードディレクトリ{0}の削除に失敗しました。マニュアルで削除してください。');
define('_MI_MYUPLOADER_INSTALL_ERROR_UPLOADDIR_SAFEMODE', 'アップロードディレクトリ{0}はsafe_modeのためマニュアルで削除してください。');
define('_MI_MYUPLOADER_INSTALL_MSG_UPLOADDIR_DELETED', 'アップロードディレクトリ{0}を削除しました。');
define('_MI_MYUPLOADER_INSTALL_MSG_IMAGES_DELETED', 'アップロードディレクトリ{0}の画像すべてを削除しました。');

// TODO keynext
define('_MI_MYUPLOADER_INSTALL_ERROR_GROUP_PERM_DELETED', 'グループ権限を削除できませんでした。<br />{0}');
define('_MI_MYUPLOADER_INSTALL_MSG_GROUP_PERM_DELETED', 'グループ権限をアンインストールしました。');

}
?>